Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# TypeCode_CDR_Extraction.h File Reference

`#include "tao/Typecode_typesC.h"`

Include dependency graph for TypeCode_CDR_Extraction.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | TAO
namespace | TAO::TypeCodeFactory
## Typedefs
typedef bool(* | factory )(CORBA::TCKind, TAO_InputCDR &, CORBA::TypeCode_ptr &, TC_Info_List &)
## Functions
bool | tc_null_factory (CORBA::TCKind kind, TAO_InputCDR &cdr, CORBA::TypeCode_ptr &tc, TC_Info_List &infos)
bool | tc_void_factory (CORBA::TCKind kind, TAO_InputCDR &cdr, CORBA::TypeCode_ptr &tc, TC_Info_List &infos)
bool | tc_short_factory (CORBA::TCKind kind, TAO_InputCDR &cdr, CORBA::TypeCode_ptr &tc, TC_Info_List &infos)
bool | tc_long_factory (CORBA::TCKind kind, TAO_InputCDR &cdr, CORBA::TypeCode_ptr &tc, TC_Info_List &infos)
bool | tc_ushort_factory (CORBA::TCKind kind, TAO_InputCDR &cdr, CORBA::TypeCode_ptr &tc, TC_Info_List &infos)
bool | tc_ulong_factory (CORBA::TCKind kind, TAO_InputCDR &cdr, CORBA::TypeCode_ptr &tc, TC_Info_List &infos)
bool | tc_float_factory (CORBA::TCKind kind, TAO_InputCDR &cdr, CORBA::TypeCode_ptr &tc, TC_Info_List &infos)
bool | tc_double_factory (CORBA::TCKind kind, TAO_InputCDR &cdr, CORBA::TypeCode_ptr &tc, TC_Info_List &infos)
bool | tc_boolean_factory (CORBA::TCKind kind, TAO_InputCDR &cdr, CORBA::TypeCode_ptr &tc, TC_Info_List &infos)
bool | tc_char_factory (CORBA::TCKind kind, TAO_InputCDR &cdr, CORBA::TypeCode_ptr &tc, TC_Info_List &infos)
bool | tc_octet_factory (CORBA::TCKind kind, TAO_InputCDR &cdr, CORBA::TypeCode_ptr &tc, TC_Info_List &infos)
bool | tc_any_factory (CORBA::TCKind kind, TAO_InputCDR &cdr, CORBA::TypeCode_ptr &tc, TC_Info_List &infos)
bool | tc_TypeCode_factory (CORBA::TCKind kind, TAO_InputCDR &cdr, CORBA::TypeCode_ptr &tc, TC_Info_List &infos)
bool | tc_Principal_factory (CORBA::TCKind kind, TAO_InputCDR &cdr, CORBA::TypeCode_ptr &tc, TC_Info_List &infos)
bool | tc_objref_factory (CORBA::TCKind kind, TAO_InputCDR &cdr, CORBA::TypeCode_ptr &tc, TC_Info_List &infos)
bool | tc_struct_factory (CORBA::TCKind kind, TAO_InputCDR &cdr, CORBA::TypeCode_ptr &tc, TC_Info_List &infos)
bool | tc_union_factory (CORBA::TCKind kind, TAO_InputCDR &cdr, CORBA::TypeCode_ptr &tc, TC_Info_List &infos)
bool | tc_enum_factory (CORBA::TCKind kind, TAO_InputCDR &cdr, CORBA::TypeCode_ptr &tc, TC_Info_List &infos)
bool | tc_string_factory (CORBA::TCKind kind, TAO_InputCDR &cdr, CORBA::TypeCode_ptr &tc, TC_Info_List &infos)
bool | tc_sequence_factory (CORBA::TCKind kind, TAO_InputCDR &cdr, CORBA::TypeCode_ptr &tc, TC_Info_List &infos)
bool | tc_array_factory (CORBA::TCKind kind, TAO_InputCDR &cdr, CORBA::TypeCode_ptr &tc, TC_Info_List &infos)
bool | tc_alias_factory (CORBA::TCKind kind, TAO_InputCDR &cdr, CORBA::TypeCode_ptr &tc, TC_Info_List &infos)
bool | tc_except_factory (CORBA::TCKind kind, TAO_InputCDR &cdr, CORBA::TypeCode_ptr &tc, TC_Info_List &infos)
bool | tc_longlong_factory (CORBA::TCKind kind, TAO_InputCDR &cdr, CORBA::TypeCode_ptr &tc, TC_Info_List &infos)
bool | tc_ulonglong_factory (CORBA::TCKind kind, TAO_InputCDR &cdr, CORBA::TypeCode_ptr &tc, TC_Info_List &infos)
bool | tc_longdouble_factory (CORBA::TCKind kind, TAO_InputCDR &cdr, CORBA::TypeCode_ptr &tc, TC_Info_List &infos)
bool | tc_wchar_factory (CORBA::TCKind kind, TAO_InputCDR &cdr, CORBA::TypeCode_ptr &tc, TC_Info_List &infos)
bool | tc_wstring_factory (CORBA::TCKind kind, TAO_InputCDR &cdr, CORBA::TypeCode_ptr &tc, TC_Info_List &infos)
bool | tc_fixed_factory (CORBA::TCKind kind, TAO_InputCDR &cdr, CORBA::TypeCode_ptr &tc, TC_Info_List &infos)
bool | tc_value_factory (CORBA::TCKind kind, TAO_InputCDR &cdr, CORBA::TypeCode_ptr &tc, TC_Info_List &infos)
bool | tc_value_box_factory (CORBA::TCKind kind, TAO_InputCDR &cdr, CORBA::TypeCode_ptr &tc, TC_Info_List &infos)
bool | tc_native_factory (CORBA::TCKind kind, TAO_InputCDR &cdr, CORBA::TypeCode_ptr &tc, TC_Info_List &infos)
bool | tc_abstract_interface_factory (CORBA::TCKind kind, TAO_InputCDR &cdr, CORBA::TypeCode_ptr &tc, TC_Info_List &infos)
bool | tc_local_interface_factory (CORBA::TCKind kind, TAO_InputCDR &cdr, CORBA::TypeCode_ptr &tc, TC_Info_List &infos)
bool | tc_component_factory (CORBA::TCKind kind, TAO_InputCDR &cdr, CORBA::TypeCode_ptr &tc, TC_Info_List &infos)
bool | tc_home_factory (CORBA::TCKind kind, TAO_InputCDR &cdr, CORBA::TypeCode_ptr &tc, TC_Info_List &infos)
bool | tc_event_factory (CORBA::TCKind kind, TAO_InputCDR &cdr, CORBA::TypeCode_ptr &tc, TC_Info_List &infos)

## Detailed Description

Id
  TypeCode_CDR_Extraction.h,v 1.2 2005/05/09 09:21:24 ossama Exp

Header file for TAO TypeCode CDR extraction operations.

Author:
  Ossama Othman <ossama@dre.vanderbilt.edu>

## Typedef Documentation

typedef bool(* TAO::TypeCodeFactory::factory)(CORBA::TCKind, TAO_InputCDR &, CORBA::TypeCode_ptr &, TC_Info_List &)

## Function Documentation

bool TAO::TypeCodeFactory::tc_abstract_interface_factory | ( | CORBA::TCKind | kind,
|  | TAO_InputCDR & | cdr,
|  | CORBA::TypeCode_ptr & | tc,
|  | TC_Info_List & | infos
| ) |

bool TAO::TypeCodeFactory::tc_alias_factory | ( | CORBA::TCKind | kind,
|  | TAO_InputCDR & | cdr,
|  | CORBA::TypeCode_ptr & | tc,
|  | TC_Info_List & | infos
| ) |

bool TAO::TypeCodeFactory::tc_any_factory | ( | CORBA::TCKind | kind,
|  | TAO_InputCDR & | cdr,
|  | CORBA::TypeCode_ptr & | tc,
|  | TC_Info_List & | infos
| ) |

bool TAO::TypeCodeFactory::tc_array_factory | ( | CORBA::TCKind | kind,
|  | TAO_InputCDR & | cdr,
|  | CORBA::TypeCode_ptr & | tc,
|  | TC_Info_List & | infos
| ) |

bool TAO::TypeCodeFactory::tc_boolean_factory | ( | CORBA::TCKind | kind,
|  | TAO_InputCDR & | cdr,
|  | CORBA::TypeCode_ptr & | tc,
|  | TC_Info_List & | infos
| ) |

bool TAO::TypeCodeFactory::tc_char_factory | ( | CORBA::TCKind | kind,
|  | TAO_InputCDR & | cdr,
|  | CORBA::TypeCode_ptr & | tc,
|  | TC_Info_List & | infos
| ) |

bool TAO::TypeCodeFactory::tc_component_factory | ( | CORBA::TCKind | kind,
|  | TAO_InputCDR & | cdr,
|  | CORBA::TypeCode_ptr & | tc,
|  | TC_Info_List & | infos
| ) |

bool TAO::TypeCodeFactory::tc_double_factory | ( | CORBA::TCKind | kind,
|  | TAO_InputCDR & | cdr,
|  | CORBA::TypeCode_ptr & | tc,
|  | TC_Info_List & | infos
| ) |

bool TAO::TypeCodeFactory::tc_enum_factory | ( | CORBA::TCKind | kind,
|  | TAO_InputCDR & | cdr,
|  | CORBA::TypeCode_ptr & | tc,
|  | TC_Info_List & | infos
| ) |

bool TAO::TypeCodeFactory::tc_event_factory | ( | CORBA::TCKind | kind,
|  | TAO_InputCDR & | cdr,
|  | CORBA::TypeCode_ptr & | tc,
|  | TC_Info_List & | infos
| ) |

bool TAO::TypeCodeFactory::tc_except_factory | ( | CORBA::TCKind | kind,
|  | TAO_InputCDR & | cdr,
|  | CORBA::TypeCode_ptr & | tc,
|  | TC_Info_List & | infos
| ) |

bool TAO::TypeCodeFactory::tc_fixed_factory | ( | CORBA::TCKind | kind,
|  | TAO_InputCDR & | cdr,
|  | CORBA::TypeCode_ptr & | tc,
|  | TC_Info_List & | infos
| ) |

bool TAO::TypeCodeFactory::tc_float_factory | ( | CORBA::TCKind | kind,
|  | TAO_InputCDR & | cdr,
|  | CORBA::TypeCode_ptr & | tc,
|  | TC_Info_List & | infos
| ) |

bool TAO::TypeCodeFactory::tc_home_factory | ( | CORBA::TCKind | kind,
|  | TAO_InputCDR & | cdr,
|  | CORBA::TypeCode_ptr & | tc,
|  | TC_Info_List & | infos
| ) |

bool TAO::TypeCodeFactory::tc_local_interface_factory | ( | CORBA::TCKind | kind,
|  | TAO_InputCDR & | cdr,
|  | CORBA::TypeCode_ptr & | tc,
|  | TC_Info_List & | infos
| ) |

bool TAO::TypeCodeFactory::tc_long_factory | ( | CORBA::TCKind | kind,
|  | TAO_InputCDR & | cdr,
|  | CORBA::TypeCode_ptr & | tc,
|  | TC_Info_List & | infos
| ) |

bool TAO::TypeCodeFactory::tc_longdouble_factory | ( | CORBA::TCKind | kind,
|  | TAO_InputCDR & | cdr,
|  | CORBA::TypeCode_ptr & | tc,
|  | TC_Info_List & | infos
| ) |

bool TAO::TypeCodeFactory::tc_longlong_factory | ( | CORBA::TCKind | kind,
|  | TAO_InputCDR & | cdr,
|  | CORBA::TypeCode_ptr & | tc,
|  | TC_Info_List & | infos
| ) |

bool TAO::TypeCodeFactory::tc_native_factory | ( | CORBA::TCKind | kind,
|  | TAO_InputCDR & | cdr,
|  | CORBA::TypeCode_ptr & | tc,
|  | TC_Info_List & | infos
| ) |

bool TAO::TypeCodeFactory::tc_null_factory | ( | CORBA::TCKind | kind,
|  | TAO_InputCDR & | cdr,
|  | CORBA::TypeCode_ptr & | tc,
|  | TC_Info_List & | infos
| ) |

bool TAO::TypeCodeFactory::tc_objref_factory | ( | CORBA::TCKind | kind,
|  | TAO_InputCDR & | cdr,
|  | CORBA::TypeCode_ptr & | tc,
|  | TC_Info_List & | infos
| ) |

bool TAO::TypeCodeFactory::tc_octet_factory | ( | CORBA::TCKind | kind,
|  | TAO_InputCDR & | cdr,
|  | CORBA::TypeCode_ptr & | tc,
|  | TC_Info_List & | infos
| ) |

bool TAO::TypeCodeFactory::tc_Principal_factory | ( | CORBA::TCKind | kind,
|  | TAO_InputCDR & | cdr,
|  | CORBA::TypeCode_ptr & | tc,
|  | TC_Info_List & | infos
| ) |

bool TAO::TypeCodeFactory::tc_sequence_factory | ( | CORBA::TCKind | kind,
|  | TAO_InputCDR & | cdr,
|  | CORBA::TypeCode_ptr & | tc,
|  | TC_Info_List & | infos
| ) |

bool TAO::TypeCodeFactory::tc_short_factory | ( | CORBA::TCKind | kind,
|  | TAO_InputCDR & | cdr,
|  | CORBA::TypeCode_ptr & | tc,
|  | TC_Info_List & | infos
| ) |

bool TAO::TypeCodeFactory::tc_string_factory | ( | CORBA::TCKind | kind,
|  | TAO_InputCDR & | cdr,
|  | CORBA::TypeCode_ptr & | tc,
|  | TC_Info_List & | infos
| ) |

bool TAO::TypeCodeFactory::tc_struct_factory | ( | CORBA::TCKind | kind,
|  | TAO_InputCDR & | cdr,
|  | CORBA::TypeCode_ptr & | tc,
|  | TC_Info_List & | infos
| ) |

bool TAO::TypeCodeFactory::tc_TypeCode_factory | ( | CORBA::TCKind | kind,
|  | TAO_InputCDR & | cdr,
|  | CORBA::TypeCode_ptr & | tc,
|  | TC_Info_List & | infos
| ) |

bool TAO::TypeCodeFactory::tc_ulong_factory | ( | CORBA::TCKind | kind,
|  | TAO_InputCDR & | cdr,
|  | CORBA::TypeCode_ptr & | tc,
|  | TC_Info_List & | infos
| ) |

bool TAO::TypeCodeFactory::tc_ulonglong_factory | ( | CORBA::TCKind | kind,
|  | TAO_InputCDR & | cdr,
|  | CORBA::TypeCode_ptr & | tc,
|  | TC_Info_List & | infos
| ) |

bool TAO::TypeCodeFactory::tc_union_factory | ( | CORBA::TCKind | kind,
|  | TAO_InputCDR & | cdr,
|  | CORBA::TypeCode_ptr & | tc,
|  | TC_Info_List & | infos
| ) |

bool TAO::TypeCodeFactory::tc_ushort_factory | ( | CORBA::TCKind | kind,
|  | TAO_InputCDR & | cdr,
|  | CORBA::TypeCode_ptr & | tc,
|  | TC_Info_List & | infos
| ) |

bool TAO::TypeCodeFactory::tc_value_box_factory | ( | CORBA::TCKind | kind,
|  | TAO_InputCDR & | cdr,
|  | CORBA::TypeCode_ptr & | tc,
|  | TC_Info_List & | infos
| ) |

bool TAO::TypeCodeFactory::tc_value_factory | ( | CORBA::TCKind | kind,
|  | TAO_InputCDR & | cdr,
|  | CORBA::TypeCode_ptr & | tc,
|  | TC_Info_List & | infos
| ) |

bool TAO::TypeCodeFactory::tc_void_factory | ( | CORBA::TCKind | kind,
|  | TAO_InputCDR & | cdr,
|  | CORBA::TypeCode_ptr & | tc,
|  | TC_Info_List & | infos
| ) |

bool TAO::TypeCodeFactory::tc_wchar_factory | ( | CORBA::TCKind | kind,
|  | TAO_InputCDR & | cdr,
|  | CORBA::TypeCode_ptr & | tc,
|  | TC_Info_List & | infos
| ) |

bool TAO::TypeCodeFactory::tc_wstring_factory | ( | CORBA::TCKind | kind,
|  | TAO_InputCDR & | cdr,
|  | CORBA::TypeCode_ptr & | tc,
|  | TC_Info_List & | infos
| ) |